import factory
import factory.fuzzy

from bug.models import MainModel
from bug.models import OnlyOne


class OnlyOneFactory(factory.DjangoModelFactory):
    class Meta(object):
        model = OnlyOne

    name = factory.Sequence(lambda n: 'OnlyOne {}'.format(n))


class MainModelFactory(factory.DjangoModelFactory):
    class Meta(object):
        model = MainModel

    name = factory.Sequence(lambda n: 'MainModel {}'.format(n))
    one = factory.SubFactory(OnlyOneFactory, name='Initial Name')
